%define name	gmorgan
%define version	0.24
%define release 1mdk

Name: 	 	%{name}
Summary:	MIDI auto-accompaniment generator 	
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://gmorgan.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel libalsa-devel 

%description
GMorgan is a modern MIDI organ with full auto-accompaniment. GMrgand uses
soundfonts and the ALSA sequencer for emulate a Rhythm Station.

%prep
%setup -q
#perl -p -i -e "s|-O6|$RPM_OPT_FLAGS||g" src/Makefile

%build
%configure2_5x
%make  
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
make install PREFIX=%_prefix DESTDIR=$RPM_BUILD_ROOT
rm -fr $RPM_BUILD_ROOT/%_docdir
%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="GMorgan" longtitle="MIDI Auto-Accompaniment" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.24-1mdk
- 0.24

* Tue Jun 22 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23

* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 0.22-2mdk
- configure 2.5

* Tue Jan 27 2004 Austin Acton <austin@mandrake.org> 0.22-1mdk
- 0.22

* Mon Jan 5 2004 Austin Acton <austin@linux.ca> 0.21-1mdk
- 0.21

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.20-1mdk
- 0.20
- new URL
- locales

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- 0.16

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.15-1mdk
- 0.15

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.14-1mdk
- 0.14

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.10-1mdk
- 0.10
- new URL

* Wed Jul 30 2003 Austin Acton <aacton@yorku.ca> 0.07-1mdk
- 0.07

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.04-1mdk
- 0.04

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.03-1mdk
- 0.03

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.01-1mdk
- initial package
